PHP version not found - script installer - roundcube

SYSTEM INFORMATION
OS type and version Almalinux 9.4
Webmin version 2.111
Virtualmin version 7.10.0
Related packages SUGGESTED

I installed roundcube mail long ago with the script installer.

The script installer suggested a new version.

After proceeding with the upgrade I got an error message that no PHP version has been found.

I manually upgraded Roundcube.

Now I still have the sript installer tell me that there is an update. How can I delete the notification or how can I make virtualmin detect the completed update?

When originally installed I was probably on PHP8.0 or maybe 8.2, I am now on 8.3.

I did re-run the config check. But doenst seem to help.

I run other php apps that work fine, I think it is just not detecting somehting.

Installed fine for me and I’m on Rocky 9.

Did you followed doc when you changed to a different PHP?

click in the php icon to see the php enviroment, does it matching the php version you have set in the dropdown.

I dont have multiple PHP. I use remi repo.

PHP version is 8.3.7.

After manually updating, now also the script updater worked. Hope double updating didnt break anything.

Perhaps that is why, as there is a button in Install Scripts to do the upgrade and it handles the php and MariaDB.

Screenshot 2024-05-27 145807

thats the point yes.

It did not work clicking upgrade.

only when it did not work I did the manual upgrade.

The “Upgrade” button is only visible if there is an upgrade available.
The following page lists the current and new version(s).
It then checks the upgrade and steps during installation.
(so doing this “manually” should be no surprise that it fails)

However the op said that the upgrade button was present

This topic was automatically closed 8 days after the last reply. New replies are no longer allowed.